version 0x029498

input  "P1 Coin"          switch 0x06
input  "P1 Start"         switch 0x02
input  "P1 Up"            switch 0x4002
input  "P1 Down"          switch 0x4003
input  "P1 Left"          switch 0x4000
input  "P1 Right"         switch 0x4001
input  "P1 Weak punch"    switch 0x4082
input  "P1 Medium punch"  switch 0x4083
input  "P1 Strong punch"  switch 0x4084
input  "P1 Weak kick"     switch 0x4080
input  "P1 Medium kick"   switch 0x4081
input  "P1 Strong kick"   switch 0x4085
input  "P2 Coin"          switch 0x07
input  "P2 Start"         switch 0x03
input  "P2 Up"            switch 0xC8
input  "P2 Down"          switch 0xD0
input  "P2 Left"          switch 0xCB
input  "P2 Right"         switch 0xCD
input  "P2 Weak punch"    switch 0x4B
input  "P2 Medium punch"  switch 0x4C
input  "P2 Strong Punch"  switch 0x4D
input  "P2 Weak kick"     switch 0x4F
input  "P2 Medium kick"   switch 0x50
input  "P2 Strong kick"   switch 0x51
input  "Reset"            switch 0x3D
input  "Diagnostic"       switch 0x3C
input  "Service"          switch 0x0A